### Method

# Ide RuntimeProvider bootstrap_finish

#### Declaration

    IdeRuntime*
    ide_runtime_provider_bootstrap_finish (
      IdeRuntimeProvider* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes the asynchronous request to bootstrap.

The resulting runtime will be set as the runtime to use for the build pipeline.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeRuntime`
| An `IdeRuntime` if successful; otherwise `NULL` and `error` is set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.